AGTCloud API Docs
GuidesAPI ReferenceIntegrations and resourcesUpdate and help
Music generationMiniMax Music

Cover preprocessing

Extract cover features, lyrics, and song structure from reference audio.

Use a reference audio URL or complete Base64 content to extract cover features. The cover_feature_id in the response is valid for 24 hours and can be sent with lyrics to the music generation API to create a cover.

The reference audio must be 6 seconds to 6 minutes long and no larger than 50 MB. You must provide exactly one of audio_url and audio_base64.

POST/v1/music_cover_preprocess

Extract cover features, lyrics, and song structure from reference audio. The same audio returns the same cover_feature_id, which is valid for 24 hours.

You must provide exactly one of audio_url and audio_base64. Reference audio must be 6 seconds to 6 minutes long and no larger than 50 MB.

Use minimax_music_cover_preprocess for preprocessing. After obtaining the feature ID, use music-cover to generate the cover.

Authorization

bearerAuth
AuthorizationBearer <token>

Use Bearer your-api-key in the Authorization Header.

In: header

Request Body

application/json

Reference audio and the fixed cover-model identifier.

TypeScript Definitions

Use the request body type in TypeScript.

You must provide exactly one of audio_url and audio_base64.

Response Body

application/json

application/json